| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Protected Member Functions

# IG::Num::VectorFunctionRequestDTO Class Reference

DTO (Data Transfer Objects) for storing contents of vector function evaluation request. More...

Inheritance diagram for IG::Num::VectorFunctionRequestDTO:
[legend]
Collaboration diagram for IG::Num::VectorFunctionRequestDTO:
[legend]

List of all members.

## Public Member Functions
| VectorFunctionRequestDTO ()
| Default constructor.
override VectorFunctionResults | CreateObject ()
| Creates and returns a new vector function evaluation request object.
## Public Attributes
int | NumParameters
| Number of parameters of an optimization problem.
int | NumFunctons
| Number of components (functions) of vector functon.
bool | ReqValues = false
| Indicates whether calculation of functions is/was requested.
bool | ReqGradients = false
| Indicates whether calculation of function gradients is/was requested.
bool | ReqHessians = false
| Indicates whether calculation of functions' Hessians is/was requested.
VectorDtoBase | Parameters
## Protected Member Functions
override void | CopyFromPlain (VectorFunctionResults vectorFunctionRes)
| Copies data to the current DTO from an vector function results object.
override void | CopyToPlain (ref VectorFunctionResults vectorFunctionRes)
| Copies data from the current DTO to a vector object.

## Detailed Description

DTO (Data Transfer Objects) for storing contents of vector function evaluation request.

$A Igor May0;

## Constructor & Destructor Documentation

IG::Num::VectorFunctionRequestDTO::VectorFunctionRequestDTO | ( |  | ) | `[inline]`

Default constructor.

## Member Function Documentation

override VectorFunctionResults IG::Num::VectorFunctionRequestDTO::CreateObject | ( |  | ) | `[inline, virtual]`

Creates and returns a new vector function evaluation request object.

Implements IG::Lib::SerializationDtoBase< Type, BaseType >.

override void IG::Num::VectorFunctionRequestDTO::CopyFromPlain | ( | VectorFunctionResults | vectorFunctionRes | ) | `[inline, protected]`

Copies data to the current DTO from an vector function results object.

Parameters:

  vectorFunctionRes | Vector function results object from which data is copied.

Reimplemented in IG::Num::VectorFunctionResultsDto.

override void IG::Num::VectorFunctionRequestDTO::CopyToPlain | ( | ref VectorFunctionResults | vectorFunctionRes | ) | `[inline, protected]`

Copies data from the current DTO to a vector object.

Parameters:

  vec | Analysis results object that data is copied to.

Reimplemented in IG::Num::VectorFunctionResultsDto.

## Member Data Documentation

int IG::Num::VectorFunctionRequestDTO::NumParameters

Number of parameters of an optimization problem.

int IG::Num::VectorFunctionRequestDTO::NumFunctons

Number of components (functions) of vector functon.

bool IG::Num::VectorFunctionRequestDTO::ReqValues = false

Indicates whether calculation of functions is/was requested.

bool IG::Num::VectorFunctionRequestDTO::ReqGradients = false

Indicates whether calculation of function gradients is/was requested.

bool IG::Num::VectorFunctionRequestDTO::ReqHessians = false

Indicates whether calculation of functions' Hessians is/was requested.

VectorDtoBase IG::Num::VectorFunctionRequestDTO::Parameters

The documentation for this class was generated from the following file:

- VectorFunctionResultsDto.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events